Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005131OCamlOCaml generalpublic2010-08-20 20:012012-06-21 18:23
Reporterglondu 
Assigned Todoligez 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.12.0 
Target VersionFixed in Version4.00.0+dev 
Summary0005131: compilation of custom runtime with g++ generates lots of warnings
DescriptionCompiling a custom runtime with g++ generates a lot of warnings like the following:

> /tmp/camlprimbb372b.c:946: warning: deprecated conversion from string constant to ‘char*’

The attached patch fixes this issue.
TagsNo tags attached.
Attached Filespatch file icon 0007-Declare-caml_names_of_builtin_cprim-as-const-char.patch [^] (895 bytes) 2010-08-20 20:01 [Show Content]

- Relationships

-  Notes
(0007601)
doligez (administrator)
2012-06-21 18:23

Thanks for the patch. I have applied it to 4.00 (commit 12629) and trunk (commit 12633).

- Issue History
Date Modified Username Field Change
2010-08-20 20:01 glondu New Issue
2010-08-20 20:01 glondu File Added: 0007-Declare-caml_names_of_builtin_cprim-as-const-char.patch
2011-05-20 18:00 doligez Status new => acknowledged
2012-06-21 17:20 doligez Assigned To => doligez
2012-06-21 17:20 doligez Status acknowledged => assigned
2012-06-21 18:23 doligez Note Added: 0007601
2012-06-21 18:23 doligez Status assigned => closed
2012-06-21 18:23 doligez Resolution open => fixed
2012-06-21 18:23 doligez Fixed in Version => 4.00.0+dev


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker